# name: complete configuration for midnight_commander
# desc: contains all possible parameters for midnight_commander module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

# This manifests holds all possible parameters
# midnight_commander accepts.
# You want to distribute a complete configuration
# to achieve a predictable behavior
# (not loading any hard-coded defaults).

class mc_complete_config {
	class { 'midnight_commander':
		# P A C K A G E
		
		mc_package_name               => 'mc',
		# we use unattended-upgrade
		latest_instead_of_present     => false,
		
		
		# M C . I N I
		
		distribute_global_mc_ini      => true,
		# use class's default values for 'FreeBSD' & 'Debian' osfams
		#mc_ini_path                   => '/usr/share/mc/mc.ini',
		mc_ini_mode                   => '0644',
		mc_ini_owner                  => 'root',
		# 'root' or 'wheel' already gets pre-selected
		#mc_ini_group                  => 'admin',
		# the distributed template is alright
		#mc_ini_template               => "${module_name}/mc_ini_tuned.erb",
		
		# S K I N S
		
		# either use this block, or use mc_skin below, as I did
		#etc_mc_skins_default_symlink  => '/usr/share/mc/skins/gotar.ini',
		#etc_mc_skins_path             => '/etc/mc/skins/',
		#etc_mc_skins_mode             => '0755',
		#etc_mc_skins_owner            => 'root',
		#etc_mc_skins_group            => 'admin',
		#etc_mc_skins_default_path     => '/etc/mc/skins/default.ini',
		#etc_mc_skins_default_owner    => 'root',
		#etc_mc_skins_default_group    => 'admin',
		
		
		# C O N F I G U R A T I O N
		
		# my mc loaded the following configuration
		# while no mc.ini was present at all:
		mc_verbose                    => true,
		mc_file_op_compute_totals     => true,
		mc_classic_progressbar        => true,
		mc_auto_fill_mkdir_name       => true,
		mc_preallocate_space          => false,
		mc_old_esc_mode               => false,
		mc_old_esc_mode_timeout       => 1000000,
		mc_pause_after_run            => 'on_dumb_terminals',
		mc_use_internal_edit          => false,
		mc_use_internal_view          => true,
		mc_editor_ask_filename_b_edit => false,
		mc_auto_menu                  => false,
		mc_drop_menus                 => false,
		mc_shell_patterns             => true,
		mc_show_all_if_ambiguous      => false,
		mc_nice_rotating_dash         => true,
		mc_cd_symlinks                => true,
		mc_safe_delete                => false,
		mc_auto_save_setup            => true,
		mc_confirm_delete             => true,
		mc_confirm_overwrite          => true,
		mc_confirm_execute            => false,
		mc_confirm_exit               => false,
		mc_confirm_dir_hotlist_del    => true,
		mc_confirm_history_cleanup    => true,
		mc_skin                       => 'default',
		mc_use_8th_bit_as_meta        => false,
		mc_vfs_timeout                => 60,
		mc_ftpfs_directory_timeout    => 90,
		mc_ftpfs_always_use_proxy     => false,
		mc_use_netrc                  => true,
		mc_ftpfs_use_pasconex         => true,
		mc_ftpfs_use_pasconex_x_proxy => false,
		mc_editor_option_auto_par_fmt => false,
		mc_editor_option_typewr_wrap  => false,
		mc_editor_fake_half_tabs      => true,
		mc_editor_backspc_throu_tabs  => false,
		mc_editor_fill_tabs_w_spaces  => false,
		mc_editor_tab_spacing         => 8,
		mc_editor_return_d_auto_indnt => false,
		mc_editor_edit_confirm_save   => true,
		mc_editor_option_sav_position => true,
		mc_editor_visible_spaces      => true,
		mc_editor_visible_tabs        => true,
		mc_editor_syntax_highlighting => true,
		mc_editor_cursr_after_ins_blk => false,
		mc_editor_persistnt_selexions => true,
		mc_editor_cursor_beyond_eol   => false,
		mc_editor_group_undo          => true,
		mc_editor_word_wrap_ln_length => 72,
		mc_editor_option_sav_mode     => 'quick_save',
		mc_editor_backup_extension    => '~',
		mc_editor_check_new_line      => false,
		mc_editor_line_state          => false,
		mc_editor_stop_format_chars   => ['-', '+', '*', '\\', '.', ';', ':', '&', '>'],
		mc_editor_wrdcompl_coll_ent_f => undef,
		mc_editor_simple_statusbar    => false,
		mc_editor_show_right_margin   => false,
		mc_editor_filesize_threshold  => '64M',
		mc_mcview_eof                 => '',
		mc_mcview_remember_file_pos   => false,
		mc_max_dirt_limit             => 10,
		mc_mouse_move_pages_viewer    => true,
		mc_only_leading_plus_minus    => true,
		mc_show_output_starts_shell   => false,
		mc_use_file_to_guess_type     => true,
		mc_xtree_mode                 => false,
		mc_fish_directory_timeout     => 900,
		mc_mouse_close_dialog         => false,
		mc_mouse_repeat_rate          => 100,
		mc_double_click_speed         => 250,
		mc_ftpfs_retry_seconds        => 30,
		mc_ftpfs_use_unix_lst_options => true,
		mc_ftpfs_first_cd_then_ls     => true,
		mc_ignore_ftp_chattr_errors   => true,
		mc_keymap                     => undef,
		mc_alternate_plus_minus       => false,
		mc_confirm_view_dir           => false,
		mc_clear_before_exec          => true,
		mc_wrap_mode                  => true,
		mc_fast_refresh               => false,
		mc_num_history_items_recorded => 60,
		mc_select_flags               => 6,
		mc_copymove_persistent_attr   => true,
		mc_horizontal_split           => false,
		mc_kilobyte_si                => false,
		mc_mix_all_files              => false,
		mc_show_backups               => true,
		mc_show_dot_files             => true,
		mc_fast_reload                => false,
		mc_fast_reload_msg_shown      => false,
		mc_mark_moves_down            => true,
		mc_reverse_files_only         => true,
		mc_auto_save_setup_panels     => false,
		mc_navigate_with_arrows       => false,
		mc_mouse_moves_pages          => true,
		mc_mouse_moves_pages_viewer   => true,
		mc_panel_scroll_pages         => true,
		mc_torben_fj_mode             => false,
		mc_layout_horizontal_split    => false,
		mc_layout_equal_split         => true,
		mc_layout_first_panel_size    => undef,
		mc_layout_horizontal_equal    => true,
		mc_layout_top_panel_size      => 1,
		mc_layout_vertical_equal      => true,
		mc_layout_left_panel_size     => 40,
		mc_layout_output_lines        => 0,
		mc_layout_menubar_visible     => true,
		mc_layout_command_prompt      => true,
		mc_layout_keybar_visible      => true,
		mc_layout_message_visible     => true,
		mc_layout_xterm_title         => true,
		mc_layout_free_space          => true,
		mc_layout_show_mini_info      => true,
		mc_layout_filetype_mode       => true,
		mc_layout_permission_mode     => false,
		mc_colors_color_terminals     => [],
		mc_panels_show_mini_info      => true,
		mc_panels_kilobyte_si         => false,
		mc_panels_mix_all_files       => false,
		mc_panels_show_backups        => true,
		mc_panels_show_dot_files      => true,
		mc_panels_fast_reload         => false,
		mc_panels_fast_relod_msg_shwn => false,
		mc_panels_mark_moves_down     => true,
		mc_panels_reverse_files_only  => true,
		mc_panels_simple_swap         => undef,
		mc_panels_auto_sav_setup_pnls => false,
		mc_panels_navigate_w_arrows   => false,
		mc_panels_panel_scroll_pages  => true,
		mc_panels_mouse_move_pages    => true,
		mc_panels_torben_fj_mode      => false,
		mc_panels_filetype_mode       => true,
		mc_panels_permission_mode     => false,
		mc_panels_quick_search_mode   => 'use_panel_sort_mode',
		mc_misc_display_codepage      => 'UTF-8',
		mc_misc_ftpfs_password        => 'anonymous@',
		mc_misc_ftp_proxy_host        => 'gate',
		mc_misc_timeformat_recent     => '%b %e %H:%M',
		mc_misc_timeformat_old        => '%b %e  %Y',
		mc_misc_clipboard_store       => '',
		mc_misc_clipboard_paste       => '',
		mc_misc_autodetect_codeset    => '',
		mc_misc_spell_language        => 'en',
		mc_misc_source_codepage       => 'Other_8_bit',
	}
}
# EOF
