# name: configure midnight commander
# desc: configuration manifest for midnight commander module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class midnight_commander::config {
	# M C . I N I
	if $midnight_commander::distribute_global_mc_ini and $midnight_commander::mc_ini_path {
		file { 'mc_ini':
			ensure                        => file,
			path                          => $midnight_commander::mc_ini_path,
			content                       => template($midnight_commander::mc_ini_template),
			mode                          => $midnight_commander::mc_ini_mode,
			owner                         => $midnight_commander::mc_ini_owner,
			group                         => $midnight_commander::mc_ini_group,
		}
	}
	
	# S K I N   C O N F I G U R A T I O N   V I A   F I L E S
	
	if ($midnight_commander::etc_mc_skins_default_symlink != undef) {
		# / E T C / M C / S K I N S /   D I R E C T O R Y   C R E A T I O N
		file { 'etc_mc_skins':
			ensure                        => directory,
			path                          => $midnight_commander::etc_mc_skins_path,
			mode                          => $midnight_commander::etc_mc_skins_mode,
			owner                         => $midnight_commander::etc_mc_skins_owner,
			group                         => $midnight_commander::etc_mc_skins_group,
		}
		
		# D E P E N D E N C Y
		File['etc_mc_skins'] -> File['etc_mc_skins_default_symlink']
		
		# S Y M L I N K   C R E A T I O N
		
		# puppet-lint wants selector blocks outside resource blocks:
		$_etc_skins_default_presence   = $midnight_commander::etc_mc_skins_default_symlink ? {
				''                            => absent,
				default                       => link,
			}
		
		file { 'etc_mc_skins_default_symlink':
			ensure                        => $_etc_skins_default_presence,
			path                          => $midnight_commander::etc_mc_skins_default_path,
			target                        => $midnight_commander::etc_mc_skins_default_symlink,
			mode                          => '0777',
			owner                         => $midnight_commander::etc_mc_skins_default_owner,
			group                         => $midnight_commander::etc_mc_skins_default_group,
		}
	# end of if ($midnight_commander::etc_mc_skins_default_symlink != undef)
	}
# end of class
}
# EOF
