# name: install midnight commander
# desc: install manifest for midnight commander module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class midnight_commander::install {
	# lint:ignore:only_variable_string
	if ("${midnight_commander::mc_package_name}" =~ /^.+$/) {
	# lint:endignore
		# puppet-lint wants selectors outside resource blocks
		$_midnight_commander_presence  = $midnight_commander::latest_instead_of_present ? {
				true                          => latest,
				default                       => present,
			}
		
		# lint:ignore:ensure_first_param
		# ["the package X is present" vs. "present is the package X"]
		package {'midnight_commander':
			name                          => $midnight_commander::mc_package_name,
			ensure                        => $_midnight_commander_presence,
		}
		# lint:endignore
	}
}
# EOF
