# name: midnight_commander parameters
# desc: parameter manifest for midnight_commander module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

# just as a heads up: there's already a midnight_commander::data() function
# in midnight_commander/functions/data.pp
class midnight_commander::params {
	# package install
	$mc_package_name                = 'mc'
	$latest_instead_of_present      = false
	
	# skins
	$etc_mc_skins_path              = $::facts['os']['family'] ? {
		'FreeBSD'                     => '/usr/local/etc/mc/skins/',
		default                       => '/etc/mc/skins/',
	}
	$etc_mc_skins_mode              = '0755'
	$etc_mc_skins_owner             = 'root'
	$etc_mc_skins_group             = $::facts['os']['family'] ? {
		'FreeBSD'                     => 'wheel',
		default                       => 'root',
	}
	$etc_mc_skins_default_symlink   = undef
	$etc_mc_skins_default_path      = "${etc_mc_skins_path}default.ini"
	$etc_mc_skins_default_owner     = $etc_mc_skins_owner
	$etc_mc_skins_default_group     = $etc_mc_skins_group
	
	# mc.ini
	$distribute_global_mc_ini       = true
	$mc_ini_path                    = $::facts['os']['family'] ? {
		'FreeBSD'                     => '/usr/local/etc/mc/mc.ini',
		default                       => '/etc/mc/mc.ini',
	}
	$mc_ini_mode                    = '0644'
	$mc_ini_owner                   = 'root'
	$mc_ini_group                   = $::facts['os']['family'] ? {
		'FreeBSD'                     => 'wheel',
		default                       => 'root',
	}
	$mc_ini_template                = 'midnight_commander/mc_ini.erb'
	$mc_ini_auth                    = 'Kai Burghardt <wiz at KaiBurghardt.de>'
}
# EOF
